Skip to content
Permalink
Browse files

Merged dual Python 2/3 support

  • Loading branch information
fazalmajid committed Oct 16, 2019
1 parent eb46342 commit 47ce6360a2d4018b1cccfc47e074dd23696e81d8
Showing with 4 additions and 2 deletions.
  1. +1 −1 README.md
  2. +3 −1 setup.py
@@ -48,7 +48,7 @@ You can check outstanding bug reports, change requests and more on the [GitHub i

## Installation

* You will need Python 2.7 installed on your machine, and a reasonably recent version of SQLite, ideally with the json1 and fts5 extensions enabled for optimum performance
* You will need Python 2.7 or 3.8 installed on your machine, and a reasonably recent version of SQLite, ideally with the json1 and fts5 extensions enabled for optimum performance
* If you do not have `pip`, install it by running `python -m ensurepip` (you may need to do this as root depending on how your Python installation is set up, or use a system package manager like `apt-get`).
* If you do not have virtualenv installed, install it using `pip install virtualenv` (or use a package manager if required).
* Create a directory and virtualenv to run Temboz, in this case `tembozdir`: `virtualenv tembozdir`
@@ -7,7 +7,7 @@
name='temboz',
author='Fazal Majid',
author_email='python@sentfrom.com',
version='2.4.2',
version='3.0',
url='https://github.com/fazalmajid/temboz',
#package_dir={'': 'src'},
packages=['tembozapp'] + setuptools.find_packages(),
@@ -31,5 +31,7 @@
'Programming Language :: Python',
'Programming Language :: Python :: 2',
'Programming Language :: Python :: 2.7',
'Programming Language :: Python :: 3',
'Programming Language :: Python :: 3.8',
],
)

0 comments on commit 47ce636

Please sign in to comment.
You can’t perform that action at this time.